# std::wstring_convert<Codecvt,Elem,Wide_alloc,Byte_alloc>::state

From cppreference.com
< cpp‎ | locale‎ | wstring convert

Defined in header `<locale>` |  |
state_type state() const; |  |

Returns the current value of the conversion state, which is stored in this `wstring_convert` object. The conversion state may be explicitly set in the constructor and is updated by all conversion operations.

### Return value

The current conversion state.

### Example

| This section is incomplete Reason: no example

### See also

to_bytes | converts a wide string into a byte string (public member function)
from_bytes | converts a byte string into a wide string (public member function)
mbsinit | checks if the mbstate_t object represents initial shift state (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/wstring_convert/state&oldid=111115"